IFAPI_CreatePrimary Struct Reference

`#include <fapi_int.h>`

## Data Fields

char * | path
IFAPI_OBJECT | hierarchy
IFAPI_OBJECT | pkey_object
TPM2B_SENSITIVE_CREATE | inSensitive
TPM2B_DATA | outsideInfo
TPML_PCR_SELECTION | creationPCR
ESYS_TR | handle
TPMI_DH_PERSISTENT | persistent_handle
TPMS_CAPABILITY_DATA * | capabilityData

## Detailed Description

The data structure holding internal state of regenerate primary key.

## Field Documentation

## hierarchy

IFAPI_OBJECT hierarchy

The current used hierarchy for CreatePrimary

## path

char* path

Path of the primary (starting with hierarchy)

The documentation for this struct was generated from the following file:

- src/tss2-fapi/fapi_int.h